## net.i2p.router.networkdb.kademlia
Class HashDistance

    java.lang.Object
      net.i2p.router.networkdb.kademlia.HashDistance

    public class HashDistance

extends Object

Moved from PeerSelector

Since:
  0.7.14

Constructor Summary
`HashDistance()`

Method Summary
`static BigInteger` `getDistance(Hash targetKey, Hash routerInQuestion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashDistance

    public HashDistance()

Method Detail

### getDistance

    public static BigInteger getDistance(Hash targetKey,
                                         Hash routerInQuestion)